################################################################################
#
# spark_autofs
#
################################################################################

SPARK_AUTOFS_VERSION = 5.1.0
SPARK_AUTOFS_SOURCE = autofs-$(SPARK_AUTOFS_VERSION).tar.xz
SPARK_AUTOFS_SITE = http://www.kernel.org/pub/linux/daemons/autofs/v5
SPARK_AUTOFS_LICENSE = GPLv2+
SPARK_AUTOFS_LICENSE_FILES = COPYING
SPARK_AUTOFS_INSTALL_STAGING = YES
SPARK_AUTOFS_CONF_ENV = \
	MOUNT="/bin/mount" \
	UMOUNT="/bin/umount" \
	E2FSCK="/sbin/fsck.ext2" \
	E3FSCK="/sbin/fsck.ext3" \
	E4FSCK="/sbin/fsck.ext4" \
	MODPROBE="/sbin/modprobe" \
	LEX="$(HOST_DIR)/usr/bin/flex" \
	YACC="$(HOST_DIR)/usr/bin/yacc" \
	linux_procfs="yes" \
	initdir="/etc/init.d" \
	piddir="/run"
SPARK_AUTOFS_CONF_OPTS = \
	--disable-sloppy-mount \
	--without-openldap \
	--with-confdir=/etc/default \
	--with-mapdir=/etc \
	--with-fifodir=/run \
	--with-flagdir=/run
SPARK_AUTOFS_MAKE_ENV = \
	AR="$(TARGET_AR)" \
	STRIP="$(TARGET_STRIP) --strip-debug"
SPARK_AUTOFS_DEPENDENCIES = host-bison host-flex

define SPARK_AUTOFS_REMOVE_INITSCRIPT
        $(RM) -rf $(TARGET_DIR)/etc/init.d/autofs
endef

SPARK_AUTOFS_POST_INSTALL_TARGET_HOOKS += SPARK_AUTOFS_REMOVE_INITSCRIPT

define SPARK_AUTOFS_INSTALL_INIT_SYSV
	$(INSTALL) -D -m 0755 package/spark/spark_autofs/S50autofs $(TARGET_DIR)/etc/init.d/S50autofs
endef

$(eval $(autotools-package))
